package com.lightinit.hsdataplatformresdir.model.admin;

import java.math.BigDecimal;

public class AddRouteServiceModel {

    private long id ;

    private String serviceName ;

    private String publishName ;

    private String namespace ;

    private String turbineCluster ;

    private String contextPath ;

    private Integer serviceAuth ;

    private BigDecimal lesseeId ;

    //Resouse状态
    private String resourceState ;

    private String name ;

    public String getServiceName() {
        return serviceName;
    }

    public void setServiceName(String serviceName) {
        this.serviceName = serviceName;
    }

    public String getPublishName() {
        return publishName;
    }

    public void setPublishName(String publishName) {
        this.publishName = publishName;
    }

    public String getNamespace() {
        return namespace;
    }

    public void setNamespace(String namespace) {
        this.namespace = namespace;
    }

    public String getTurbineCluster() {
        return turbineCluster;
    }

    public void setTurbineCluster(String turbineCluster) {
        this.turbineCluster = turbineCluster;
    }

    public String getContextPath() {
        return contextPath;
    }

    public void setContextPath(String contextPath) {
        this.contextPath = contextPath;
    }

    public Integer getServiceAuth() {
        return serviceAuth;
    }

    public void setServiceAuth(Integer serviceAuth) {
        this.serviceAuth = serviceAuth;
    }

    public BigDecimal getLesseeId() {
        return lesseeId;
    }

    public void setLesseeId(BigDecimal lesseeId) {
        this.lesseeId = lesseeId;
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getResourceState() {
        return resourceState;
    }

    public void setResourceState(String resourceState) {
        this.resourceState = resourceState;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
